# PROCESS DOROTHEA DATA - STAGE 1.  
#
# REQUIRES ABOUT 2.1 GBYTES OF MEMORY.

source("../../read.r")
source("../../write.r")
source("../../count.r")

# Read in the data.

read.sparse.binary(nvars=100000)

n.train <- nrow(train.x)
n.valid <- nrow(valid.x)
n.test <- nrow(test.x)
n.all <- n.train+n.valid+n.test

# Count the number of cases in which each feature is non-zero, and produce
# counts of singleton, doubleton, and tripleton features.  Write data files 
# with these counts.

count.nonzero(train.x,valid.x,test.x,k=3)

write.data(1:3,"cnt",log(1+train.cnt),log(1+valid.cnt),log(1+test.cnt))

# Find indexes of trimmed data in which features that are non-zero in 3 or 
# fewer training cases are omitted.

ix.trim <- (1:nvars)[train.n>3]

write.ix(ix.trim,"trim")
